
<VirtualHost *:443>
   
   ServerName  portal.wifixpress.es
   ServerAlias portal.wifixpress.es


  DocumentRoot /var/www/html/wifixpress/
  ErrorLog ${APACHE_LOG_DIR}/portal.wifixpress.es-error.log
  CustomLog ${APACHE_LOG_DIR}/portal.wifixpress.es-access.log combined

  SSLEngine On

   <Directory "/var/www/html/wifixpress/private/">
        AuthType Basic
        AuthName "Restricted Content"
        AuthUserFile /var/www/html/wifixpress/private/.htpasswd
        Require valid-user
        AllowOverride All
    </Directory>


  # Other Apache Configuration

 
  Include /etc/letsencrypt/options-ssl-apache.conf

 ServerAlias  portal.wifixpress.es


ServerAlias portal.wifixpress.es
SSLCertificateFile /etc/letsencrypt/live/portal.wifixpress.es/fullchain.pem
SSLCertificateKeyFile /etc/letsencrypt/live/portal.wifixpress.es/privkey.pem
</VirtualHost>
